#if !defined (AUXGLUTT)
#define AUXGLUTT

#include <GL/glut.h>

typedef struct _AUX_EVENTREC {

    GLint event;

    GLint data[4];

} AUX_EVENTREC;



/* 

** ToolKit Event Types

*/

#define AUX_EXPOSE      1

#define AUX_CONFIG      2

#define AUX_DRAW        4

#define AUX_KEYEVENT    8

#define AUX_MOUSEDOWN   16

#define AUX_MOUSEUP     32

#define AUX_MOUSELOC    64



/*

** Toolkit Event Data Indices

*/

#define AUX_WINDOWX             0

#define AUX_WINDOWY             1

#define AUX_MOUSEX              0

#define AUX_MOUSEY              1

#define AUX_MOUSESTATUS         3

#define AUX_KEY                 0

#define AUX_KEYSTATUS           1



/*

** ToolKit Event Status Messages

*/

#define AUX_LEFTBUTTON          1

#define AUX_RIGHTBUTTON         2

#define AUX_MIDDLEBUTTON        4

#define AUX_SHIFT               1

#define AUX_CONTROL             2



/* 

** ToolKit Key Codes

*/

#define AUX_RETURN              0x0D

#define AUX_ESCAPE              0x1B

#define AUX_SPACE               0x20


#define AUX_LEFT                0x225

#define AUX_UP                  0x226

#define AUX_RIGHT               0x227

#define AUX_DOWN                0x228


#define AUX_HOME                0x229

#define AUX_END                 0x22a
#define AUX_PAGE_UP             0x22b

#define AUX_PAGE_DOWN           0x22c


#define AUX_INSERT              0x22d


#define AUX_F1                  0x101

#define AUX_F2                  0x102

#define AUX_F3                  0x103

#define AUX_F4                  0x104

#define AUX_F5                  0x105

#define AUX_F6                  0x106

#define AUX_F7                  0x107

#define AUX_F8                  0x108

#define AUX_F9                  0x109

#define AUX_F10                 0x10a

#define AUX_F11                 0x10b

#define AUX_F12                 0x10c


#define AUX_A                   'A'

#define AUX_B                   'B'

#define AUX_C                   'C'

#define AUX_D                   'D'

#define AUX_E                   'E'

#define AUX_F                   'F'

#define AUX_G                   'G'

#define AUX_H                   'H'

#define AUX_I                   'I'

#define AUX_J                   'J'

#define AUX_K                   'K'

#define AUX_L                   'L'

#define AUX_M                   'M'

#define AUX_N                   'N'

#define AUX_O                   'O'

#define AUX_P                   'P'

#define AUX_Q                   'Q'

#define AUX_R                   'R'

#define AUX_S                   'S'

#define AUX_T                   'T'

#define AUX_U                   'U'

#define AUX_V                   'V'

#define AUX_W                   'W'

#define AUX_X                   'X'

#define AUX_Y                   'Y'

#define AUX_Z                   'Z'

#define AUX_a                   'a'

#define AUX_b                   'b'

#define AUX_c                   'c'

#define AUX_d                   'd'

#define AUX_e                   'e'

#define AUX_f                   'f'

#define AUX_g                   'g'

#define AUX_h                   'h'

#define AUX_i                   'i'

#define AUX_j                   'j'

#define AUX_k                   'k'

#define AUX_l                   'l'

#define AUX_m                   'm'

#define AUX_n                   'n'

#define AUX_o                   'o'

#define AUX_p                   'p'

#define AUX_q                   'q'

#define AUX_r                   'r'

#define AUX_s                   's'

#define AUX_t                   't'

#define AUX_u                   'u'

#define AUX_v                   'v'

#define AUX_w                   'w'

#define AUX_x                   'x'

#define AUX_y                   'y'

#define AUX_z                   'z'

#define AUX_0                   '0'

#define AUX_1                   '1'

#define AUX_2                   '2'

#define AUX_3                   '3'

#define AUX_4                   '4'

#define AUX_5                   '5'

#define AUX_6                   '6'

#define AUX_7                   '7'

#define AUX_8                   '8'

#define AUX_9                   '9'


void GLUTCALLBACK auxKey(unsigned char key, int x, int y);
void GLUTCALLBACK auxSpec(int key, int x, int y);
void auxKeyFunc (int key, void (GLUTCALLBACK *func)(void));
void GLUTCALLBACK auxMouseButton(int button, int state, int x, int y);
void GLUTCALLBACK auxMouseMotion(int x, int y);
void GLUTCALLBACK auxMousePos(int x, int y);
void auxMouseFunc (int butt, int action, GLenum (GLUTCALLBACK *func)(AUX_EVENTREC*));

#endif
